\NeedsTeXFormat{LaTeX2e}              %Indica que estamos usando LaTeX2e.
\ProvidesClass{docmat}               %Nombre de la clase
\LoadClass[letterpaper,11pt]{report} %Tamaño de papel: carta.
                                     

%COMANDOS DE FORMATO DE PÁRRAFO
%\setlength{\parskip}{5mm}
%\parskip\baselineskip %Distancia entre párrafos.
%\renewcommand{\baselinestretch}{0}\linespread{0} % Espacio entre lí­neas letra
%\parskip\baselineskip
%\setlength{\parindent}{0pt} % Elimina la sangria automatica

% \RequirePackage{ccfonts}
% \RequirePackage{eulervm}
% \RequirePackage{hyperref}

%PAQUETES DE LENGUAJE
%\RequirePackage[latin1]{inputenc} %Permite ingresar correctamente las tildes.
%\RequirePackage[activeacute,spanish]{babel}   %Diccionario en español.
%% \RequirePackage{ccfonts,eulervm}  %cambia el tipo de letra

%PAQUETES DE FORMATO DE PÁGINA
%\RequirePackage{fullpage} %Permite ocupar más espacio en cada página.
\RequirePackage{anysize}
\RequirePackage{setspace} % permite cambiar el espacio dentro del documento
\marginsize{1.0in}{0.8in}{1.0in}{0.6in} % los margenes {left}{right}{top}{bottom}

%\usepackage[pagewise]{lineno}\linenumbers
\RequirePackage{fancyhdr}
%\pagestyle{fancyplain}
%\fancyfoot[C]{}
%\fancyfoot[R]{}
%\fancyhead[L]{\textsl{\rightmark}}
%\fancyhead[C]{}
%\fancyhead[R]{\thepage}
%\renewcommand{\headrulewidth}{1pt}


\RequirePackage{chngcntr} %jugar con los contadores (para reiniciar en los capitulos)


%PAQUETES DE FORMATO
\RequirePackage{multicol}
\RequirePackage{multirow}
\RequirePackage{float}
\RequirePackage{verbatim}
%\RequirePackage{ulem} % simbolos como subrayar cursiva.
\RequirePackage{colortbl} % color para las tablas
\RequirePackage{rotating} % rotar elementos dentro de una tabla
\RequirePackage{enumerate}         %Mejora el comportamiento de las numeraciones
\RequirePackage{makeidx}
\makeindex
% \pagestyle{myheadings}   % deja la numeracion de las paginas arriba a la derecha
%\RequirePackage{amsrefs}
\RequirePackage{cite}

%PAQUETES MATEMATICOS
\RequirePackage{amsmath}
\RequirePackage{amssymb}
\RequirePackage{amsfonts}
\RequirePackage{amsthm}
\RequirePackage{wasysym}
\RequirePackage{mathrsfs}
\RequirePackage{textcomp}
\RequirePackage{fancyhdr}
\RequirePackage[all,cmtip]{xy}
\RequirePackage{latexsym}



%PAQUETES PARA PSTRICKS Y GRAFICOS
\RequirePackage[dvips]{epsfig}
\RequirePackage{graphicx}
\RequirePackage{graphics}
\RequirePackage{epsf}
\RequirePackage{pdfpages}
\RequirePackage{pstricks}
\RequirePackage{pstricks-add}
\RequirePackage{pst-math}
\RequirePackage{pst-xkey}
\RequirePackage{pst-node}
\RequirePackage{pst-plot}
\RequirePackage{pst-3dplot}
\RequirePackage{color}
\RequirePackage{colortbl}
%\RequirePackage{booktabs}   %%tengo problemas con este paquete...

\psset{dimen=middle}        %Permite que el borde de las figuras se vea bien





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Nuevos Entornos (teorema, proposición, ejemplos,...)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\fancyhf{}
%\rhead{\thepage}
%\lhead{\sectionmark}
%\fancyhead[LO,RE]{\textsl{\rightmark}}
%\fancyhead[LE,RO]{\thepage}
%\pagestyle{fancy}
%\fancyhead[L]{}
%\fancyhead[C]{}
%\fancyhead[R]{\thepage\hspace{-0cm}}
%\fancyfoot[R]{}
%\renewcommand\headrule{\hrule width \hsize height 1pt}
%\renewcommand\footrule{\hrule width \hsize height 1pt}
%\newtheoremstyle{teoremas}{}{}{\itshape}{}{\bfseries}{}{}{}   %Definición del entorno para teoremas.
%\newtheoremstyle{notas}{}{}{\rmfamily}{}{\bfseries}{:}{ }{}
%\theoremstyle{teoremas}
%\newtheorem{theorem}{Theorem}  

%\newtheorem{proposition}[theorem]{Proposition} 
%\newtheorem{definition}[theorem]{Definition}                                            %Definición
%\newtheorem{ppio}[thm]{Principio} 
%\newtheorem{lemma}[theorem]{Lemma}%Lema
%\newtheorem{corollary}[theorem]{Corollary}
%\newtheorem{example}[theorem]{Example} 
%\newtheorem{question}{Question}                                             %Ejemplo
\newcommand{\R}{{\mathbb{R}}}
\newcommand{\N}{{\mathbb{N}}}
\newcommand{\C}{{\mathbb{C}}}

\newtheorem{definition}{Definition}
\newtheorem{theorem}{Theorem}
%\newtheorem{ques}[teo]{Question}

\newtheorem{lemma}{Lemma}
\newtheorem{corollary}{Corollary}
\newtheorem{proposition}{Proposition}
\newtheorem{remark}{Remark}
\newtheorem{example}{Example}

%\theoremstyle{notas}
%\newtheorem{remark}[theorem]{Remark}

\counterwithin{theorem}{chapter}	                                        %Reinicicia contador en cada chapter. Y * indica que no coloca el num del capitulo o seccion en cada caso
\counterwithin{lemma}{chapter}
\counterwithin{corollary}{chapter}
\counterwithin{proposition}{chapter}
\counterwithin{remark}{chapter}
\counterwithin{example}{chapter}
\counterwithin{definition}{chapter}
\newenvironment{demo}[1][]
{\noindent{\underline{\textit{Proof}}: {#1}}}{$~\Box$\newline}

 %Símbolo para terminar una demostración.


%\newcommand{\R}{\mathbb{R}}


%\newcommand{\ta}{\theta}
%\newcommand{\vp}{\varphi}
%\newcommand{\real}{\mathbb{R}}
%\newcommand{\rn}{\real^{n}}

%\newcommand{\nat}{\mathbb{N}}
%\newcommand{\real}{\mathbb{R}}
\newcommand{\al}{\alpha}
\newcommand{\ve}{\varepsilon}
\newcommand{\La}{\Lambda}
%\newcommand{\ta}{\theta}
%\newcommand{\vp}{\varphi}
\newcommand{\om}{\omega}
\newcommand{\Om}{\Omega}
\newcommand{\sa}{\sigma}
\newcommand{\ac}{\mathcal A}
\newcommand{\lc}{\mathcal L}
\newcommand{\lx}{{\mathcal L}(X)}


\newcommand{\ap}{almost periodic}
\newcommand{\as}{a\-symptotic}
\newcommand{\asy}{asymptotically}
\newcommand{\aap}{asymptotically almost periodic}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% REDEFINICIONES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% % % % % REDIFICION DE COLORES
\newrgbcolor{gris}{0.9 0.9 0.9}

% % % % Abreviaciones Matemáticas

\newcommand{\IK}{\mathbb K}    %Cuerpo IR
\newcommand{\IZ}{\mathbb Z}    %Anillo IZ
\newcommand{\img}{\mbox{\rm img }} %imagen
%\renewcommand{\hom}{\mbox{Hom}}
%
\newcommand{\ds}{\displaystyle}    %displaystyle
%
\newcommand{\cociente}[2]{~~~~\psline[linewidth=0.4pt](0,-0.05)(0.7,0.35)\rput[r](0.4,0.4){#1}\rput[l](0.4,-0.05){#2}~~~~~~~~~}
%
%\newcommand{\asum}[2]{|a_{#1}|+\ldots+|a_{#2}|}
%\newcommand{\aes}[2]{a_{#1},\ldots,a_{#2}}
%\newcommand{\aten}[2]{a_{#1}\otimes\ldots\otimes a_{#2}}
%\newcommand{\uno}[1]{(-1)^{#1}}
%\newcommand{\suma}[2]{\sum_{#1\atop #2}}
%\newcommand{\sta}[3]{id^{\otimes {#1}}\otimes m_{#2}\otimes id^{\otimes {#3}}}
%\newcommand{\glam}[3]{G\lambda_{#1}(\aes{#2}{#3})}
%\newcommand{\gphi}[3]{G\Phi_{#1}(\aes{#2}{#3})}
%\newcommand{\we}{\wedge}
%\newcommand{\de}{d^\ast}
%\newcommand{\met}[2]{<\hspace{-0.06in}{#1},{#2}\hspace{-0.06in}>}
%\newcommand{\lap}{\square_d}
%
%\newcommand{\hache}{\mathcal H}



    
\RequirePackage{titlesec}

%%% cambio formato capitulo%%%%
\titleformat{\chapter}[display]
{\bfseries\Large}{Chapter \thechapter}{0mm}{}
%%% FIN cambio formato capitulo%%%%   

%%% cambio formato section%%%% 
\titleformat{\section}[hang]
{\bfseries\large}{\thesection}{0.3cm}{}
%%% FIN cambio formato section%%%%

%%% cambio formato subsection%%%% 
\titleformat{\subsection}[hang]
{\bfseries\large}{\thesubsection}{0.3cm}{}
%%% FIN cambio formato subsection%%%% 


%%redefinir footnote		
\renewcommand{\thefootnote}{(\arabic{footnote})}
\renewcommand{\footnoterule}{\vspace*{-3pt}
 \noindent\rule{5cm}{1pt}\vspace*{2.6pt}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% PORTADA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\portada}{

\begin{titlepage}
\thispagestyle{empty}
{\white aaa}\vspace{0.6cm}

\begin{minipage}[t]{13.5cm}
\begin{center}
 {\Large\sc\universidad}\\
 
 {\Large\sc\facultad}\\

 {\sc\depto}
\end{center}
\end{minipage}
\begin{minipage}{2cm}
\logo
\end{minipage}
\vspace{2.5\bigskipamount}

\begin{center}
{\Large\sc\titulo}
\vspace{2\bigskipamount}

{\sc Por\\ \autor}
\vspace{2\bigskipamount}
\end{center}

\begin{flushright}
Profesor Gu\'ia:\\
Dr. \orientador % puede agragar mas con \\ Nombre orientador 2.
\vspace{2\bigskipamount}

\parbox[t]{0.5\linewidth}{Tesis presentada al \depto\/ de la \facultad\/ de la \universidad, para optar al grado de \grado\/.}
\end{flushright}

\vfill
\begin{center}
\ciudad\/ - \pais\\
\mesdef, \anodef
\end{center}
\end{titlepage}





}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% COPYRIGHT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\renewcommand{\copyright}{
\begin{titlepage}
\thispagestyle{empty}
\textcopyright\anodef, \autor

Se autoriza la reproducci\'on total o parcial, con fines acad\'emicos, por cualquier medio o procedimiento, incluyendo la cita bibliogr\'afica que acredita al trabajo y a su autor.
\end{titlepage}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% QUALIFICATION
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\qualification}{
% \newpage
\thispagestyle{empty}
%\begin{multicols}{1}
\begin{center}
 {\large\sc\universidad}\\ 
 {\large\sc\facultad}\\ 
 {\sc\depto}  
\end{center}
%\begin{center}
%	{\large\sc\universidadunb}\\ 
%	{\large\sc\facultadunb}\\ 
%	{\sc\deptounb}  
%\end{center}
%\end{multicols}
%\vspace{0.3\bigskipamount}

Los miembros de la Comisi\'on Calificadora certifican que han le\'ido y recomiendan a la \facultad\/ para la aceptaci\'on la tesis titulada ``\textbf{\titulo}'' de \textbf{\autor}\/\/ en cumplimiento parcial de los requisitos para obtener el grado de \grado\,. Comisi\'on compuesta por:\vspace{0.4\bigskipamount}

\begin{minipage}[t]{0.5\linewidth}
\begin{singlespace}
\begin{tabular}[top]{c}
	\vspace{0.3cm}
{\white aaaaaaaaaaaaaaaaaaaaaaaaaaa}\\\hline
{Profesor Director USACH}\\
{\orientador}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\\hline
{Profesor Informante}\\
{\correctoruno}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\\hline
{Profesor Informante}\\
{\correctordos}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\\hline
{Director Depto. Matem\'atica}\\
{y Ciencia de la Computaci\'on}\\
{\directordepa}\\
\end{tabular}
\end{singlespace}
\end{minipage}
~~~~~~~~~~~~~~~~\hfill
\begin{minipage}[t]{0.5\linewidth}
\begin{singlespace}
\begin{tabular}[top]{c}
	\vspace{0.3cm}
	{\white aaaaaaaaaaaaaaaaaaaaaaaaaaa}\\\hline
	{Profesor Director (OTRA) INST.}\\
	{\orientadorB}\\
	{\white a}\\
	{\white a}\\
	{\white a}\\
	{\white a}\\
{\white aaaaaaaaaaaaaaaaaaaaaaaaaaa}\\\hline
{Profesor Informante}\\
{\correctortres}\\
{\white a}\\
{\white a}\\
{\white a}\\
{\white a}\\\hline
{Director Doctorado Ciencia con}\\
{Menci\'on Matem\'atica}\\
{\directordoct }\\
\end{tabular}
\end{singlespace}
\end{minipage}
\vfill
\begin{center}
 \mesdef, \anodef
\end{center}
}

